itpp::it_file_base Class Reference
Base Module » IT++ File Format

Base class for it_ifile and it_file. More...

`#include <itpp/base/itfile.h>`

Inheritance diagram for itpp::it_file_base:

## Classes

struct | data_header
| Data header structure. More...
struct | file_header
| File header structure. More...

## Static Protected Attributes

static char | file_magic [4] = { 'I', 'T', '+', '+' }
| IT++ file marker: "IT++".
static char | file_version = 3
| IT++ file version.

## Detailed Description

Base class for it_ifile and it_file.

Definition at line 94 of file itfile.h.

## Member Data Documentation

## file_magic

char itpp::it_file_base::file_magic = { 'I', 'T', '+', '+' }

staticprotected

IT++ file marker: "IT++".

Definition at line 122 of file itfile.h.

Referenced by itpp::it_ifile::read_check_file_header(), and itpp::it_file::write_file_header().

## file_version

char itpp::it_file_base::file_version = 3

staticprotected

IT++ file version.

Definition at line 124 of file itfile.h.

Referenced by itpp::it_ifile::read_check_file_header(), and itpp::it_file::write_file_header().

The documentation for this class was generated from the following files:

- itpp/base/itfile.h
- itpp/base/itfile.cpp

Generated on Mon Jun 10 2024 11:49:36 for IT++ by Doxygen 1.9.8